#!/bin/bash
#
# Dieser Script dient als shutdown-hook fr den Einsatz des Scriptes extb-poweroff.pl
# in c't vdr. Diese Datei dient damit als Wrapper des Scriptes extb-poweroff.pl.
#
# Diese Datei speichern unter 
# /usr/share/vdr/shutdown-hooks eine Datei shutdown99.extb.sh
# und die Pfadangaben in EXT_POWEROFF mit dem installationsgegebenheiten anpassen.
#
# Um das Zusammenspiel mit den Anderen shutdown-hook zu verbessern
# und vorzeitigen Shutdown zu verhindern, muss in extb-poweroff.pl,
# das dortige Shutdownkommando deaktiviert werden.
# Desweiteren sollte per RCSEND_VIDEOOFF kein Makro M2 gesendet werden,
# weil damit die Videoausgnge abgeschaltet werden, aber eine anderer hook
# knne den Shutdown abbrechen lassen, ein abschaltung des Videoausgangs
# ist in diesem Augenblick sichern nicht gewnscht.

# Dazu in der Konfigurationsdatei /etc/extb/extb-poweroff.conf 
# folgende Eintrge setzen:
# SHUTDOWN = 
# RCSEND_VIDEOOFF = 


EXT_POWEROFF = /usr/local/bin/extb-poweroff.pl

if [ -x $EXT_POWEROFF ]
then
   $EXT_POWEROFF $1 $2 $3 "$4" $5
   EXITCODE=0
else
  logger -t extb-poweroff "no $EXT_POWEROFF found"
  ABORT_MESSAGE="no extb-poweroff.pl found"
  EXITCODE=1
fi
